NullValidator (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.validator.NullValidator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class NullValidator

    java.lang.Object
      org.richfaces.validator.ObjectValidator
          org.richfaces.validator.NullValidator

    public class NullValidator

extends ObjectValidator

Author:
  asmirnov

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.validator.ObjectValidator
`ObjectValidator.BasePropertyPair, ObjectValidator.ValidatorKey`

Field Summary

Fields inherited from class org.richfaces.validator.ObjectValidator
`INPUT_PARAMETERS_IS_NOT_CORRECT, parent, VALIDATOR_PARAM`

Constructor Summary
`NullValidator()`

Method Summary
`protected java.util.Collection<java.lang.String>` | `validate(javax.faces.context.FacesContext facesContext, java.lang.Object base, java.lang.String property, java.lang.Object value, java.util.Set<java.lang.String> profiles)` Validate bean property for a new value.
`java.util.Collection<java.lang.String>` | `validateGraph(javax.faces.context.FacesContext context, java.lang.Object value, java.util.Set<java.lang.String> profiles)`

Methods inherited from class org.richfaces.validator.ObjectValidator
`createValidationResolver, getInstance, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullValidator

    public NullValidator()

Method Detail

### validate

    protected java.util.Collection<java.lang.String> validate(javax.faces.context.FacesContext facesContext,
                                                              java.lang.Object base,
                                                              java.lang.String property,
                                                              java.lang.Object value,
                                                              java.util.Set<java.lang.String> profiles)

  Description copied from class: `ObjectValidator`
  Validate bean property for a new value.

  Specified by:
    `validate` in class `ObjectValidator`
  Parameters:
    `facesContext` - TODO
    `base` - - bean
    `property` - - bean property name.
    `value` - new value.
    `profiles` - TODO
  Returns:
    null for a valid value, array of the validation messages othervise.

### validateGraph

    public java.util.Collection<java.lang.String> validateGraph(javax.faces.context.FacesContext context,
                                                                java.lang.Object value,
                                                                java.util.Set<java.lang.String> profiles)

  Specified by:
    `validateGraph` in class `ObjectValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.